#pragma once
#include "stringlistctrl.h"


// CPathPage3 ダイアログ

class CPathPage3 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPathPage3)

public:
	CPathPage3(CWorkspaceAccess path);
	virtual ~CPathPage3();
	CWorkspaceAccess	m_pathSetting;
	CImageList	m_imageList;

// ダイアログ データ
	enum { IDD = IDD_PATH_3 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート

	DECLARE_MESSAGE_MAP()
public:
	BOOL m_enable;
	CStringListCtrl m_accept;
	virtual BOOL OnInitDialog();
	CStringListCtrl m_denied;
	afx_msg void OnBnClickedLrft();
	afx_msg void OnBnClickedRight();
	virtual BOOL OnKillActive();
	afx_msg void OnNMClickAccept(NMHDR *pNMHDR, LRESULT *pResult);
};
